DH_MOVELIBKDEINIT(1)

NAME
dh_movelibkdeinit - move libkdeinit4_*.so from public to the private directory

SYNOPSIS
dh_movelibkdeinit [debhelper options]

DESCRIPTION
dh_movelibkdeinit is a helper program which moves all installed usr/lib/libkdeinit4_*.so kdeinit "shared" executables from the public location to the private subdirectory /usr/lib/kde4/libkdeinit. libkdeinit*.so shared executables are not proper public shared libraries by definition and they are built as shared library only for performance purposes.

Please note, however, that in order for the moved executables to work properly, the following conditions must be met:

•   the package should depend on the kde4libs binary packages built with the "-DLIBKDEINIT_INSTALL_DIR=/usr/lib/kde4/libkdeinit" cmake flag (enabled since kde4libs 4:4.4.0). dh_movelibkdeinit will try to confirm this condition and it will do nothing if it is not met.

•   the source package was built with the "-DENABLE_LIBKDEINIT_RUNPATH=ON" cmake flag. This flag is enabled by default when building using either CDBS kde.mk class or the debhelper kde build system which both as shipped in the 0.6.2 or later version of the pkg-kde-tools package.

OPTIONS

-Xitem, --exclude item
    Do not move libkdeinit4_*.so files that contain "item" anywhere in their filename. You may use this option multiple times to build up a list of things to exclude.

SEE ALSO
debhelper(7)

AUTHOR
Modestas Vainius <modax@debian.org>